Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.testelement.property
Class ObjectProperty

    java.lang.Object
      org.apache.jmeter.testelement.property.AbstractProperty
          org.apache.jmeter.testelement.property.ObjectProperty

All Implemented Interfaces:
  Cloneable, Comparable, JMeterProperty, Serializable

public class ObjectProperty
extends AbstractProperty

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.jmeter.testelement.property.AbstractProperty
`log`

Constructor Summary
`ObjectProperty()`
`ObjectProperty(String name)`
`ObjectProperty(String name, Object p)`

Method Summary
`Object` | `clone()`
`Object` | `getObjectValue()`
`String` | `getStringValue()`
`void` | `recoverRunningVersion(TestElement owner)` Tell the property to revert to the state at the time setRunningVersion(true) was called.
`void` | `setObjectValue(Object value)`
`void` | `setRunningVersion(boolean runningVersion)` Make the property a running version or turn it off as the running version.

Methods inherited from class org.apache.jmeter.testelement.property.AbstractProperty
`compareTo, convertObject, createProperty, equals, getBlankProperty, getBlankProperty, getBooleanValue, getDoubleValue, getFloatValue, getIntValue, getIterator, getLongValue, getName, getPropertyType, hashCode, isEqualType, isRunningVersion, makeProperty, mergeIn, normalizeList, normalizeMap, setName, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectProperty

    public ObjectProperty()

### ObjectProperty

    public ObjectProperty(String name)

Parameters:
  `name` -

### ObjectProperty

    public ObjectProperty(String name,
                          Object p)

Method Detail

### recoverRunningVersion

    public void recoverRunningVersion(TestElement owner)

  Description copied from interface: `JMeterProperty`
  Tell the property to revert to the state at the time setRunningVersion(true) was called.

### setRunningVersion

    public void setRunningVersion(boolean runningVersion)

  Description copied from interface: `JMeterProperty`
  Make the property a running version or turn it off as the running version. A property that is made a running version will preserve the current state in such a way that it is retrievable by a future call to 'recoverRunningVersion()'. Additionally, a property that is a running version will resolve all functions prior to returning it's property value. A non-running version property will return functions as their uncompiled string representation.

  Specified by:
    `setRunningVersion` in interface `JMeterProperty`
  Overrides:
    `setRunningVersion` in class `AbstractProperty`

### clone

    public Object clone()

  Specified by:
    `clone` in interface `JMeterProperty`
  Overrides:
    `clone` in class `AbstractProperty`

### getStringValue

    public String getStringValue()

### getObjectValue

    public Object getObjectValue()

### setObjectValue

    public void setObjectValue(Object value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.